/*
Copyright © 2022 Matthieu Derasse <git@derasse.fr>
*/
package cmd

import (
	"github.com/spf13/cobra"
)

// dbCmd represents the db command.
var dbCmd = &cobra.Command{
	Use:   "db",
	Short: "Generate Database Struct from pkg/dbmodels/schema.yaml",
	Run:   runGenerateDB,
}

func init() {
	generateCmd.AddCommand(dbCmd)
}

// runGenerateDB will generate database models, db connector, ... for the current project.
func runGenerateDB(cmd *cobra.Command, args []string) {
}
