/*
Copyright © 2022 Matthieu Derasse <git@derasse.fr>
*/
package cmd

import (
	"github.com/spf13/cobra"
)

// helmCmd represents the helm command.
var helmCmd = &cobra.Command{
	Use:   "helm",
	Short: "Generate Kubernetes Helm chart for API & Workers",
	Run:   runGenerateHelm,
}

func init() {
	generateCmd.AddCommand(helmCmd)
}

// runGenerateHekm will generate k8s helm chart for the current project.
func runGenerateHelm(cmd *cobra.Command, args []string) {
}
