package base

import (
	"github.com/juju/errors"

	"git.dev.m-and-m.ovh/mderasse/gouick/helpers"
)

// CheckInitialize will do preliminary check before initializing a new project.
func (a APIType) CheckInitialize() error {
	return errors.NotImplementedf("%s not implemented for %s", helpers.GetCurrentFuncName(), a.GetName())
}
