package base

import (
	"github.com/juju/errors"

	"git.dev.m-and-m.ovh/mderasse/gouick/helpers"
	"git.dev.m-and-m.ovh/mderasse/gouick/models"
)

// GenerateDockerfile will generate dockerfile based on the given config.
func (a APIType) GenerateDockerfile(path string, config *models.Config) error {
	return errors.NotImplementedf("%s not implemented for %s", helpers.GetCurrentFuncName(), a.GetName())
}
