package base

import (
	"github.com/juju/errors"

	"git.dev.m-and-m.ovh/mderasse/gouick/helpers"
	"git.dev.m-and-m.ovh/mderasse/gouick/models"
)

// GenerateLauncher will generate a launcher entrypoint based on the given config.
func (a APIType) GenerateLauncher(path string, config *models.Config) error {
	return errors.NotImplementedf("%s not implemented for %s", helpers.GetCurrentFuncName(), a.GetName())
}
