package base

import (
	"github.com/juju/errors"

	"git.dev.m-and-m.ovh/mderasse/gouick/helpers"
	"git.dev.m-and-m.ovh/mderasse/gouick/models"
)

// GenerateReadme will generate a readme based on the given config.
// Launched only at project init and with generate readme command.
func (a APIType) GenerateReadme(path string, config *models.Config) error {
	return errors.NotImplementedf("%s not implemented for %s", helpers.GetCurrentFuncName(), a.GetName())
}
