package models

// Process represent a cmd process.
type Process struct {
	Binary string
	Name   string
	Type   ProcessType
}

// ProcessType is a type used of process that can be launched with the launcher.
type ProcessType string

//nolint:exported // keeping the enum simple and readable.
const (
	ProcessType_API    ProcessType = "api"
	ProcessType_CRON   ProcessType = "cron"
	ProcessType_WORKER ProcessType = "worker"
)
