/*
Copyright © 2022 Matthieu Derasse <git@derasse.fr>
*/
package cmd

import (
	"github.com/spf13/cobra"
)

// helpCmd represents the help command.
var helpCmd = &cobra.Command{
	Use:   "help",
	Short: "Show that help",
	Run: func(cmd *cobra.Command, args []string) {
		err := generateCmd.Help()
		if err != nil {
			return
		}
	},
}

func init() {
	generateCmd.AddCommand(helpCmd)
}
