package base

import (
	"github.com/juju/errors"

	"git.dev.m-and-m.ovh/mderasse/gouick/helpers"
	"git.dev.m-and-m.ovh/mderasse/gouick/models"
)

// CreateProjectSkeleton will generate all the files needed to start a new project.
func (a APIType) CreateProjectSkeleton(path string, config *models.Config) error {
	return errors.NotImplementedf("%s not implemented for %s", helpers.GetCurrentFuncName(), a.GetName())
}
