package base

import (
	"github.com/juju/errors"

	"git.dev.m-and-m.ovh/mderasse/gouick/helpers"
	"git.dev.m-and-m.ovh/mderasse/gouick/models"
)

// GenerateMakefile will generate makefile based on the given config.
// Launched only at project init or with generate makefile command.
func (a APIType) GenerateMakefile(path string, config *models.Config) error {
	return errors.NotImplementedf("%s not implemented for %s", helpers.GetCurrentFuncName(), a.GetName())
}
